/*
 Repetitiva de tip for
 ~~~~~~~~~~~~~~~~~~~~~

  In majoritatea limbajelor, for-ul este o instructziune menita sa plimbe
un contor intre doua limite (initziala shi finala) shi pentru fiecare
valoare a lui i, sa execute o anumita instructziune.

  In C++, in majoritatea cazurilor se shi foloseshte pentru asta, insa
acceptul sau este mult mai larg.

  Sintaxa lui este urmatoarea:

      for(expr1;expr2;expr3)
		      instructziune;

Shi e perfect echivalent cu urmatorul while:

   expr1;
   while(expr2)
   {
    instructiuzne;
    expr3;
   }

Totushi, il vom folosi sub forma urmatoare:
  for(contor=limita initziala; contor<=limita finala; contor++)
						     instructziune;
  (!! doar daca vrem sa numere crescator din 1 in 1)
  Pe acest caz, daca limita initziala e din start mai mare decit
limita finala nu se executa nimic

sau
  for(contor=limita initziala; contor>=limita finala; contor--)
						     instructziune;
  (!! doar daca vrem sa numere descrescator din 1 in 1)
  Pe acest caz, daca limita initziala e din start mai mica decit
limita finala nu se executa nimic

*/

#include<iostream.h>
#include<conio.h>

void main()
{
 clrscr();
//Asta e acelashi program ca shi apl02.cpp, insa modelat pe while..
//a se remarca asemanarea dintre cele doua (apl02 shi apl03) chiar shi pt.
//valori initzial negative ale lui n
 int n,i;
 cout<<"Pina la cit vrei sa numeri ? ";
 cin>>n;
 for(i=1;i<=n;i++)
  {
    cout<<i<<" ";
    if(i%15==0) cout<<"\n";
  }
 getch();
}