/*
  Instructziunea de decizie (if)

Asta permite executarea unei kestii sau a alteia in functzie de o conditzie


Sintaxa:
   if(conditzie)
	  instructziune1;
   else
	  instructziune2;

Obs: putem sa NU avem partea de la else incolo.
     Daca in loc de o singura instructziune avem 2 sau mai multe, ele
     se vor pune OBLIGATORIU intre { }

Ce face:
   Daca "conditzie" e adevarata va face instructziune1, daca nu
     face instructziune2 (daca apare, evident)

Prin conditzie se intzelege o comparatzie intre doua valori, sau mai multe
comparatzii legate prin && (shi=simultan) sau || (sau=fie/fie)
sau negate (cu !)

Comparatziile se fac cu
  <       mai mic
  <=      mai mic sau egal
  >=      mai mare sau egal
  >       mai mare
  ==      egal identic (!! SA NU CONFUNDATZI cu un singur egal, care
			 da o valoare unei variabile)
  !=      diferit

Ex:
  pentru a verifica daca un numar tz este par, vom avea

       if(tz%2==0) ... e par

  Pentru a verifica daca un numar tz este cifra, vom avea:

       if(tz>=0 && tz<=9)  ... e cifra

  Pentru a verifica daca un numar tz NU este cifra, vom avea:
       Varianta 1:

	  if(!(tz>=0 && tz<=9))....

	  if(tz<0 || tz>9)...

Urmatorul program cere utilizatorului sa introduca un numar par.
Daca introduce, il felicita, daca nu, il trimite la plimbare
*/
#include<iostream.h>
#include<conio.h>

void main()
{
 clrscr();
  long a;
  cout<<"Introdu un numar par:";
  cin>>a;
  if(a%2==0)
	  cout<<"Bravo. Ai introdus corect. Felicitari.";
       else
	  cout<<"Du-te plimba ursul";
 getch();
}
