{$d-}
unit button;
interface
uses graph,mouse;
var globalcolor:integer;
    globaltext:TextSettingsType;
    globalfill:FillSettingsType;
    m:tmouse;

type tbutton=object
              private
               x1,y1,x2,y2:integer;
               capt:string;
              public
               procedure init(a,b,c,d:integer);
               procedure setcap(s:string);
               procedure drawnorm;
               procedure drawpush;
               function mouseover:boolean;
            end;

implementation
procedure savesettings;
begin
gettextsettings(globaltext);
getfillsettings(globalfill);
globalcolor:=getcolor;
end;

procedure recallsettings;
begin
settextstyle(globaltext.font,globaltext.direction,globaltext.charsize);
settextjustify(globaltext.horiz,globaltext.vert);
setfillstyle(globalfill.pattern,globalfill.color);
setcolor(globalcolor);
end;

procedure tbutton.init(a,b,c,d:integer);
var aux:integer;
begin
if a>c then begin
            aux:=a;a:=c;c:=aux;
            end;
if b>d then begin
            aux:=b;b:=d;d:=aux;
            end;
x1:=a;y1:=b;x2:=c;y2:=d;
end;

procedure tbutton.setcap(s:string);
begin
capt:=s;
end;

procedure tbutton.drawnorm;
begin
savesettings;
m.hide;
setfillstyle(1,lightgray);
bar(x1,y1,x2,y2);
setcolor(white);
line(x1,y1,x2,y1);
line(x1,y1,x1,y2);
setcolor(darkgray);
line(x1,y2,x2,y2);
line(x2,y2,x2,y1);
settextjustify(centertext,centertext);
settextstyle(2,0,5);
outtextxy((x1+x2)div 2+2,(y1+y2)div 2-2,capt);
m.show;
recallsettings;
end;

procedure tbutton.drawpush;
begin
savesettings;
m.hide;
setfillstyle(1,lightgray);
bar(x1,y1,x2,y2);
setcolor(darkgray);
line(x1,y1,x2,y1);
line(x1,y1,x1,y2);
setcolor(white);
line(x1,y2,x2,y2);
line(x2,y2,x2,y1);
settextjustify(centertext,centertext);
settextstyle(2,0,5);
outtextxy((x1+x2)div 2+2,(y1+y2)div 2-2,capt);
m.show;
recallsettings;
end;

function tbutton.mouseover:boolean;
begin
if(m.getx>x1)and(m.getx<x2)and(m.gety>y1)and(m.gety<y2) then
                                                        mouseover:=true
                                                        else
                                                        mouseover:=false;
end;

end.