/*
 citim o matrice cu n linii shi m coloane dintr-un fishier.
 Sa se se determine care dintre lini contzine permutarea lexicografic
cea mai mare.
 Daca nu-i nici una => mesaj

  Permutare = in cazul nostru = nr. de la 1 la m, aflate in orice
ordine.
Ex: permutarile de 3 sunt:
 1 2 3
 1 3 2
 2 1 3
 2 3 1
 3 1 2
 3 2 1

 Lexicografic: ordinea de tip "dictzionar"
 doua shiruri a shi b sunt "a mai mic decit b" daca
a[i]=b[i] pina la un anumit indice k,
iar a[k]<b[k], sau a-ul s-a terminat shi b-ul nu.
Ex:
 10 5  8 este lexicografic mai mic decit
 10 5 14 20
sau:
 10 5 8 este lexicografic mai mic decit
 10 5 8 14
Ex:
n=6 m=7
 1  9  7  6 -4  9  4
 4  2  6  7  3  1  5
-8  4 12 99 34 23  4
 4  2  6  7  5  1  3
 3  7  1  2  3  4  5
 4  2  6 17  3  5  1
Raspuns:
 4  2  6  7  5  1  3
*/
#include<fstream.h>
#include<conio.h>
#include<iomanip.h>

int a[100][100];//asta e globala - folsim de-asta daca crapa cumva atunci
//cind e declarata in main() -> mesajul de eroare fiind "stack overflow"

void main()
{
 clrscr();
 int n,m,i,j;
 ifstream fin("apl01.in");
 fin>>n>>m;
 for(i=1;i<=n;i++)
   for(j=1;j<=m;j++)
     fin>>a[i][j];
 fin.close();
 cout<<"Iata matricea citita din fishier, cu "<<n<<" linii shi "<<m<<" col\n";
 for(i=1;i<=n;i++)
  {
   for(j=1;j<=m;j++)
	 cout<<setw(5)<<a[i][j];
   cout<<"\n";
  }
 int used[100],permmax[100];
 memset(permmax,0,sizeof(permmax));
 //luam matricea linie cu linie:
 for(i=1;i<=n;i++)
 {//verificam daca linia curenta, adik a i-a, deci a[i][j] cu j=1,m
 //este permutare:
  int ok=1;
  memset(used,0,sizeof(used));
  for(j=1;j<=m;j++)
   {
    if(a[i][j]<1 || a[i][j]>m)
			{
			 ok=0;break;
			}
		  else used[a[i][j]]=1;
   }
   if(ok)
	for(j=1;j<=m;j++)
		if(!used[j]) ok=0;
   if(ok)//deci acum putem decide k e permutare: vedem daca e lexicografic
   //mai mare decit cea pe care-o avem deja retzinuta in permmax
   {
       j=1;
       while(j<=m&&permmax[j]==a[i][j]) j++;//sar peste alea egale
       if(j<m)//adik s-a oprit 'nainte de capat
       if(a[i][j]>permmax[j])//=>deci linia i este lexicogr. 'nainte de permmax
       {//o rettzin pe-asta noua:
	for(j=1;j<=m;j++)
	   permmax[j]=a[i][j];
       }
   }
 }
 if(permmax[1]==0) cout<<"NONE";
 else
    {
     for(i=1;i<=m;i++)
       cout<<permmax[i]<<" ";
    }
 getch();
}