/*
 Verifcarea daca un numar este sau nu prim.

 Def: Un numar prim este un numar natural cu proprietatea ca NU are decit
doi divizori distinctzi, shi anume pe 1 shi pe el insushi.

 Teorema: Daca un numar >2 NU are nici un divizor cuprins intre 2 shi
radicalul sau, atunci acel numar este prim.

  Algoritmul ce se desprinde de-aici, este urmatorul:
     * se iau, pe un for, toate numerele cuprinse intre 2 shi sqrt(n)
	= potentzialii divizori ai lui n
     * daca ne prindem ca n se divide la vreunul dintr-ashtia => n nu
	este prim.

  Aplicind algoritmul, ne va furniza rezultat corect pentru toate numerele
mai putzin 0 shi 1.
  Acestea trebuie corectate ulterior, printr-un if
*/
#include<iostream.h>
#include<conio.h>
#include<math.h>

void main()
{
 clrscr();
 long n,i,is_prime;
 cout<<"Introdu numarul dghie verificat:";
 cin>>n;
 is_prime=1;//plec de la premiza k n este prim
 for(i=2;i<=sqrt(n);i++)
		if(n%i==0)
		       is_prime=0;
 //!! SUB nici o forma NU vetzi pune else la acest if.
 if(n<=1)//cazurile n=0 shi n=1 ies de sub incidentza teoremei, deci
 //tre' verificate separat
      is_prime=0;
 if(is_prime) cout<<"Numarul tau este prim";
 else cout<<"Numarul tau nuie prim";
getch();
}
