{$d-}
unit bile;

interface

uses crt,graph,mouse;
const rbila=15;
      pauza:integer=2;
var globalcolor:integer;
    globaltext:TextSettingsType;
    globalfill:FillSettingsType;
    m:tmouse;

type bila=object
           private
            x,y:integer;
            nr:shortint;
           public
            procedure setnr(vnr:shortint);
            function getnr:shortint;
            procedure setxy(vx,vy:integer);
            function getx:integer;
            function gety:integer;
            procedure draw;
            procedure drawcolor(culoare:integer);
            procedure move(x1,y1:integer);
            procedure swap(var b1:bila;ry:real);
           end;
procedure setpauza(vpauza:integer);

implementation

procedure waitretrace; assembler;
asm
    mov   dx,3DAh
@@1:
    in    al,dx
    and   al,08h
    jnz   @@1
@@2:
    in    al,dx
    and   al,08h
    jz    @@2
end;

procedure setpauza(vpauza:integer);
begin
pauza:=vpauza;
end;

procedure savesettings;
begin
gettextsettings(globaltext);
getfillsettings(globalfill);
globalcolor:=getcolor;
end;

procedure recallsettings;
begin
settextstyle(globaltext.font,globaltext.direction,globaltext.charsize);
settextjustify(globaltext.horiz,globaltext.vert);
setfillstyle(globalfill.pattern,globalfill.color);
setcolor(globalcolor);
end;

procedure bila.setnr(vnr:shortint);
begin
nr:=vnr;
end;

function bila.getnr:shortint;
begin
getnr:=nr;
end;

procedure bila.setxy(vx,vy:integer);
begin
x:=vx;y:=vy;
end;

function bila.getx:integer;
begin
getx:=x;
end;

function bila.gety:integer;
begin
gety:=y;
end;

procedure bila.draw;
var s:string;
begin
savesettings;
setcolor(white);
str(nr,s);
settextjustify(centertext,centertext);
settextstyle(0,0,1);
m.hide;
circle(x,y,rbila);
outtextxy(x+1,y+1,s);
m.show;
recallsettings;
end;

procedure bila.drawcolor(culoare:integer);
var s:string;
begin
savesettings;
setcolor(culoare);
str(nr,s);
settextjustify(centertext,centertext);
settextstyle(0,0,1);
m.hide;
circle(x,y,rbila);
outtextxy(x+1,y+1,s);
m.show;
recallsettings;
end;

procedure bila.move(x1,y1:integer);
var p:pointer;
    xn,yn,imgsz,x0,y0,i,npasi:integer;
    dx,dy:real;
begin
xn:=x1;yn:=y1;
x0:=x-rbila-1;y0:=y-rbila-1;
x1:=x1-rbila-1;y1:=y1-rbila-1;
imgsz:=imagesize(x0,y0,x+rbila+1,y+rbila+1);
getmem(p,imgsz);
getimage(x0,y0,x+rbila+1,y+rbila+1,p^);
npasi:=abs(x1-x0);
if abs(y1-y0)>npasi then npasi:=abs(y1-y0);
npasi:=npasi div 2;
dx:=(x1-x0)/npasi;
dy:=(y1-y0)/npasi;
for i:=0 to npasi-1 do begin
                       delay(pauza);
                       {waitretrace;}
                       m.hide;
                       putimage(x0+round(i*dx),y0+round(i*dy),p^,xorput);
                       putimage(x0+round((i+1)*dx),
                                y0+round((i+1)*dy),p^,xorput);
                       m.show;
                       end;
freemem(p,imgsz);
x:=xn;y:=yn;
end;

procedure bila.swap(var b1:bila;ry:real);
var p1,p2,aux:pointer;
    auxi,sb1,x1,y1,x2,y2,i,nrp:integer;
    xc,yc,rx,du:real;
begin
x1:=x-rbila-1;
y1:=y-rbila-1;
x2:=b1.x-rbila-1;
y2:=b1.y-rbila-1;
sb1:=imagesize(x1,y1,x+rbila+1,y+rbila+1);
getmem(p1,sb1);
getmem(p2,sb1);
getimage(x1,y1,x+rbila+1,y+rbila+1,p1^);
getimage(x2,y2,b1.x+rbila+1,b1.y+rbila+1,p2^);
if x1>x2 then begin
              aux:=p1;
              p1:=p2;
              p2:=aux;
              end;
rx:=abs((x1-x2)/2);
nrp:=round(2*rx);
xc:=(x1+x2)/2;
yc:=y1;
if 2*ry>rx then nrp:=round(2*ry);
nrp:=nrp;
du:=pi/nrp;
for i:=0 to nrp-1 do begin
                     {waitretrace;}
                     delay(pauza);
                     m.hide;
                     putimage(round(xc+rx*cos(i*du)),
                              round(yc-ry*sin(i*du)),p2^,xorput);
                     putimage(round(xc-rx*cos(i*du)),
                              round(yc+ry*sin(i*du)),p1^,xorput);
                     putimage(round(xc+rx*cos((i+1)*du)),
                              round(yc-ry*sin((i+1)*du)),p2^,xorput);
                     putimage(round(xc-rx*cos((i+1)*du)),
                              round(yc+ry*sin((i+1)*du)),p1^,xorput);
                     m.show;
                     end;
freemem(p1,sb1);
freemem(p2,sb1);
auxi:=x;x:=b1.x;b1.x:=auxi;
auxi:=y;y:=b1.y;b1.y:=auxi;
end;

end.