{$d-}
unit mouse;
interface
type tmouse=object
             procedure init;
             procedure done;
             procedure setxy(x,y:integer);
             function getx:integer;
             function gety:integer;
             function leftbutton:boolean;
             function rightbutton:boolean;
             procedure hide;
             procedure show;
             procedure window(x1,y1,x2,y2:integer);
            end;
implementation

procedure tmouse.init;
var cod:integer;
begin
asm
 mov ax,0
 int 33h
 mov cod,ax
end;
 if cod=0 then halt(2);
end;

procedure tmouse.done;assembler;
asm
 mov ax,2
 int 33h
end;

procedure tmouse.setxy(x,y:integer);assembler;
asm
 mov ax,4
 mov cx,x
 mov dx,y
 int 33h
end;

function tmouse.getx:integer;
var x:integer;
begin
asm
 mov ax,3
 int 33h
 mov x,cx
end;
getx:=x;
end;

function tmouse.gety:integer;
var y:integer;
begin
asm
 mov ax,3
 int 33h
 mov y,dx
end;
gety:=y;
end;

function tmouse.leftbutton:boolean;
var bs:word;
begin
asm
 mov ax,3
 int 33h
 mov bs,bx
end;
leftbutton:=bs and 1=1;
end;

function tmouse.rightbutton:boolean;
var bs:word;
begin
asm
 mov ax,3
 int 33h
 mov bs,bx
end;
rightbutton:=bs and 2=2;
end;

procedure tmouse.hide;assembler;
asm
 mov ax,2
 int 33h
end;

procedure tmouse.show;assembler;
asm
 mov ax,1
 int 33h
end;

procedure tmouse.window(x1,y1,x2,y2:integer);assembler;
asm
 mov ax,7
 mov cx,x1
 mov dx,x2
 int 33h
 mov ax,8
 mov cx,y1
 mov dx,y2
 int 33h
end;

end.